summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen2014-05-18 17:42:23 +0200
committer Willy Sudiarto Raharjo2014-05-18 17:42:23 +0200
commit07f220e92578511398c318d5b0ee4940c98d23c0 (patch)
tree832f6742e70eaeb0dd179877a702a4c40c2f4258
parent95a7ae9d46026aa1f4c5a78e6f17197da437cf5b (diff)
downloadslackbuilds-07f220e92578511398c318d5b0ee4940c98d23c0.tar.gz
system/betty: Added (command-line helper).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/betty/README7
-rw-r--r--system/betty/betty2
-rw-r--r--system/betty/betty.SlackBuild66
-rw-r--r--system/betty/betty.info10
-rw-r--r--system/betty/slack-desc19
5 files changed, 104 insertions, 0 deletions
diff --git a/system/betty/README b/system/betty/README
new file mode 100644
index 0000000000..267f37925f
--- /dev/null
+++ b/system/betty/README
@@ -0,0 +1,7 @@
+Betty is a friendly English-like interface for your command line.
+
+She translates English-like phrases into commands in case you every
+run into situations like this.
+
+This means you don't have to leave your command line to look up an
+obscure but useful command. Just ask Betty!
diff --git a/system/betty/betty b/system/betty/betty
new file mode 100644
index 0000000000..dda44a304b
--- /dev/null
+++ b/system/betty/betty
@@ -0,0 +1,2 @@
+#!/bin/sh
+/opt/betty/main.rb
diff --git a/system/betty/betty.SlackBuild b/system/betty/betty.SlackBuild
new file mode 100644
index 0000000000..54dcb2a21e
--- /dev/null
+++ b/system/betty/betty.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Slackware build script for betty
+# Ryan P.C. McQuen, WA, ryan.q@linux.com
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted..
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=betty
+VERSION=${VERSION:-0.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+mkdir -p $PKG/opt/$PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION -C $PKG/opt/$PRGNAM || tar xvf $CWD/v$VERSION.tar.gz -C $PKG/opt/$PRGNAM
+mv $PKG/opt/$PRGNAM/$PRGNAM-$VERSION/* $PKG/opt/$PRGNAM
+rm -rf $PKG/opt/$PRGNAM/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+install -m 0755 $CWD/$PRGNAM $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/betty/betty.info b/system/betty/betty.info
new file mode 100644
index 0000000000..a04a341939
--- /dev/null
+++ b/system/betty/betty.info
@@ -0,0 +1,10 @@
+PRGNAM="betty"
+VERSION="0.1.4"
+HOMEPAGE="https://github.com/pickhardt/betty"
+DOWNLOAD="https://github.com/pickhardt/betty/archive/v0.1.4.tar.gz"
+MD5SUM="03f48b47112a11c7743000bd67e66578"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/system/betty/slack-desc b/system/betty/slack-desc
new file mode 100644
index 0000000000..db79e49398
--- /dev/null
+++ b/system/betty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+betty: betty (a command-line helper tool)
+betty:
+betty:
+betty: Betty is a friendly English-like interface for your command line.
+betty:
+betty: She translates English-like phrases into commands in case you every
+betty: run into situations like this.
+betty:
+betty:
+betty: https://github.com/pickhardt/betty
+betty: